// Copyright (c) Microsoft Corporation. All rights reserved. See License.txt in the project root for license information.

using Syncfusion.Windows.Tools.Controls;
using System;
using System.Globalization;
using System.Reflection;
using System.Windows;
using System.Windows.Data;

namespace TabControlExtPrism
{
    /// <summary>
    /// Interaction logic for Shell.xaml
    /// </summary>
    public partial class Shell : Window
    {
        public Shell()
        {
            InitializeComponent();
         }
    }

    public class booltoCloseTypeConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value != null)
            {
                PropertyInfo info = value.GetType().GetProperty("CanClose");
                if (!(bool)info.GetValue(value))
                    return CloseButtonType.Hide;
            }
            return CloseButtonType.Common;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return value;
        }
    }
}
